Subject: bug#5037: Asserion failure in draw_row_fringe_bitmaps

From: Chong Yidong <[email-masked]>
Date: Sat, 16 Jan 2010 15:24:28 -0500

> I got an assertion failure in draw_row_fringe_bitmaps:
>
>   xassert (interrupt_input_blocked);
>
> when resizing the frame while Gnus was waiting for network data (or
> connection).
>
> It seems there's a BLOCK_INPUT missing somewhere long that path.
> I've added a BLOCK_INPUT in event_handler_gdk and it seems to work, but
> I don't understand enough of how those things work to know whether
> that's the right place.  Can someone confirm that the patch below
> is right?

It looks correct, as far as I can tell.  I've checked in the fix.

(I think we need to UNBLOCK_INPUT before the early return on line 5816,
so I went ahead and added that to your original patch.)